Announcement Announcement Module
Collapse
No announcement yet.
RMI Doesn't work with 1.5.0_u8/9 Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • RMI Doesn't work with 1.5.0_u8/9

    Hi Guys,

    I'm new here!

    I've been struggling today getting RMI service exporting working for a fairly simple app I'm working on. I've identified the problem I was having and wondered if anyone else has experienced it...?

    ...Esentially my tests all passed on my machine, but when deployed in a war to the server, I would get "error unmarshalling return; nested exception is: java.io.EOFException" type exceptions on the client. On the server I would get "illegal remote method encountered: public abstract SomeClass getSomething(Some Param) throws SomeException"

    I have re-produced the problem on my machine now by using JDK 1.5.0_9. Go back to _05 and everything works again!

    Anybody experienced this?

    Thanks


    Andrew
    Last edited by andrewl41; Nov 16th, 2006, 10:19 AM.
Working...
X